GET
/
v1
/
teams
/
{teamId}
/
oauth
/
{provider}
/
flows
/
{flowId}
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.social.getOAuthStatus({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  provider: process.env.OCTOSPARK_PROVIDER ?? "provider",
  flowId: process.env.OCTOSPARK_FLOW_ID ?? "flowId",
})
{
  "flowId": "<string>",
  "accountId": "<string>",
  "expiresAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

provider
enum<string>
required

Social platform identifier: x, tiktok, instagram, facebook, youtube, linkedin, threads, or pinterest.

Available options:
x,
tiktok,
instagram,
facebook,
youtube,
linkedin,
threads,
pinterest
Example:

"x"

flowId
string
required

OAuth flow identifier returned when starting a social connection.

Response

Success

flowId
string
required
status
enum<string>
required
Available options:
pending,
exchanging,
connected,
failed,
denied,
expired
accountId
string | null
required
expiresAt
string
required